View Issue Details

IDProjectCategoryView StatusLast Update
0033305FPCPackagespublic2018-03-06 07:12
ReporterStephanoAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0033305: FPReport designer: Column headers/footers don't appear in preview when the page's ColumnCount is 1
Description- Create a new report
- Add a ColumnHeaderBand with memo
- Add a ColumnFooterBand with memo
- Add a databand with data
- Preview the report
The column header and footer band elements will not appear
- Change the paper's ColumnCount property to 2
- Preview the report
The column header and footer band elements are there
TagsNo tags attached.
Fixed in Revision38411
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2018-03-05 14:55

administrator   ~0106894

Changed behaviour (it was intentional, but maybe ill-advised), thanks for reporting.

Issue History

Date Modified Username Field Change
2018-03-03 13:04 Stephano New Issue
2018-03-03 13:04 Stephano Assigned To => Michael Van Canneyt
2018-03-03 13:04 Stephano Status new => assigned
2018-03-05 14:55 Michael Van Canneyt Project Lazarus => FPC
2018-03-05 14:55 Michael Van Canneyt Fixed in Revision => 38411
2018-03-05 14:55 Michael Van Canneyt Note Added: 0106894
2018-03-05 14:55 Michael Van Canneyt Status assigned => resolved
2018-03-05 14:55 Michael Van Canneyt Fixed in Version => 3.1.1
2018-03-05 14:55 Michael Van Canneyt Resolution open => fixed
2018-03-05 14:55 Michael Van Canneyt Target Version => 3.2.0
2018-03-06 07:12 Stephano Status resolved => closed